Bug 428830 - Review Request: python-pyasn1 - ASN.1 tools for Python
Summary: Review Request: python-pyasn1 - ASN.1 tools for Python
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-15 14:58 UTC by Rob Crittenden
Modified: 2008-01-18 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-18 15:37:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Rob Crittenden 2008-01-15 14:58:48 UTC
Spec URL: http://rcritten.fedorapeople.org/python-pyasn1.spec
SRPM URL: http://rcritten.fedorapeople.org/python-pyasn1-0.0.7a-3.fc7.src.rpm
Description: This project is dedicated to implementation of ASN.1 types (concrete syntax) and codecs (transfer syntaxes) for Python programming environment. ASN.1
compiler is planned for implementation in the future.

Comment 1 Parag AN(पराग) 2008-01-16 06:58:43 UTC
Good to have %install as
%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

and %files as

%files
%defattr(-,root,root,-)
%doc README LICENSE examples/*
%{python_sitelib}/*



Comment 2 Rob Crittenden 2008-01-16 14:58:51 UTC
Yes, simpler is better, thanks.

New files uploaded:

Spec URL: http://rcritten.fedorapeople.org/python-pyasn1.spec
SRPM URL: http://rcritten.fedorapeople.org/python-pyasn1-0.0.7a-4.fc7.src.rpm

Comment 3 Parag AN(पराग) 2008-01-17 03:57:19 UTC
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
8dd0a5e1465ab3fd1b095aee812c2091  pyasn1-0.0.7a.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

SHOULD:
  * Remove following unnecessary line from SPEC
        %define vermodule %{module}-%{version}/pyasn1


APPROVED.
     

Comment 4 Rob Crittenden 2008-01-17 22:27:24 UTC
Ok, I'll fix those things up when I commit it.

New Package CVS Request
=======================
Package Name: python-pyasn1
Short Description: ASN.1 tools for Python
Owners: rcritten
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2008-01-18 03:38:31 UTC
cvs done. 


Note You need to log in before you can comment on or make changes to this bug.